Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

This question already has an answer here:

My computer just updated my browser to Internet Explorer 10 64 bit. I need IE 7, 8, or 9 32 bit to run a program.

How can I get my previous version of Internet Explorer back?

share|improve this question

marked as duplicate by Karan, random Jun 10 '13 at 4:46

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

2 Answers 2

Uninstall IE10 by going to Start, Control Panel, Programs and Features, (It would be under Programs in Category view), Installed Updates (in the upper right corner), find IE 10, and click on Uninstall, at the left top of the list of installed updates.

share|improve this answer
1  
This is why I suggested uninstalling IE 10: "I need IE 7, 8, or 9 32 bit" I believe IE 7 or 8 comes with Windows 7. It won't remove IE completely, just the update to 10. –  Davidw Jun 10 '13 at 2:45

You do not need to uninstall IE10, IE10 still has an 32-bit version within your pc it is usually located at.

C:\Program Files (x86)\Internet Explorer

Get a program like process explorer to check the program is running in 32 bit.

enter image description here

Edit: I know that the poster needs an older IE, however if the issue can be solved with 32 bit IE with comparability mode I don't see the need to downgrade IE. This is how I run it in compatability mode.

Source

  1. Open up Internet Explorer 10.

  2. Press ‘Alt’ key on your keyboard to bring up the top menu. And then go to Tools > Developer Tools. Alternatively you can just press the ‘F12’ key on your keyboard.

enter image description here

Go to Tools > Developer Tools

  1. This will bring up the IE developer tools which looks just like the one in Google Chrome at the bottom.

enter image description here

You can then click ‘Browser Mode’ and then click on the Internet Explorer version you want to simulate. You can also set the document mode to quirks mode or standards mod from the next drop down .

share|improve this answer
    
If you're going to down vote this answer please explain why. –  ekaj Jun 10 '13 at 2:51
1  
He specifically mentions needing an earlier version of IE: "I need IE 7, 8, or 9 32 bit" –  Davidw Jun 10 '13 at 3:07
    
@Davidw Ok I've edited my answer, hope that it doesn't cause any confusion if it still doesn't seem to help I'll remove it :) . –  meguroyama Jun 10 '13 at 5:02

Not the answer you're looking for? Browse other questions tagged or ask your own question.